Skip to main content
Monitoring & Collection/Grafana Integration
POSTGrafanaSince 1.0SynchronousAuth Required

FlushGrafanaQueue

Flush all queued Grafana changes by attempting to sync them immediately

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • syncedInteger

    Number of changes successfully synced

    Example: 5

  • failedInteger

    Number of changes that failed to sync

    Example: 20

  • conflictsInteger

    Number of changes that caused conflicts

    Example: 20

  • remainingInteger

    Number of changes still waiting in the queue

    Example: 20

Endpoint

POST/api/v1/monitoring/grafana/sync/flush

/api/v1/monitoring/grafana/sync/flush

Operation ID

FlushGrafanaQueue

Permalink

Request Example

curl -X POST '{host}/api/v1/monitoring/grafana/sync/flush' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "synced": 5,
  "failed": 20,
  "conflicts": 20,
  "remaining": 20
}

Change History

This API has no change history records yet.

View all change history